This file is part of MXE. See LICENSE.md for licensing information.

Contains ad hoc patches for cross building.

From 0000000000000000000000000000000000000000 Mon Sep 17 00:00:00 2001
From: Tony Theodore <tonyt@logyst.com>
Date: Wed, 24 Apr 2019 22:53:20 +1000
Subject: [PATCH 1/2] disable tests


diff --git a/lib/Testing/CMakeLists.txt b/lib/Testing/CMakeLists.txt
index 1111111..2222222 100644
--- a/lib/Testing/CMakeLists.txt
+++ b/lib/Testing/CMakeLists.txt
@@ -1 +1,3 @@
-add_subdirectory(Support)
+if( LLVM_INCLUDE_TESTS )
+  add_subdirectory(Support)
+endif()

From 0000000000000000000000000000000000000000 Mon Sep 17 00:00:00 2001
From: Tony Theodore <tonyt@logyst.com>
Date: Wed, 3 Jun 2020 16:29:21 +1000
Subject: [PATCH 2/2] Fix building with -DBUILD_SHARED_LIBS=ON on mingw

see: https://github.com/llvm/llvm-project/commit/609ef948387ba40e3693c2bd693d82ca34dcdc02

diff --git a/utils/TableGen/GlobalISel/CMakeLists.txt b/utils/TableGen/GlobalISel/CMakeLists.txt
index 1111111..2222222 100644
--- a/utils/TableGen/GlobalISel/CMakeLists.txt
+++ b/utils/TableGen/GlobalISel/CMakeLists.txt
@@ -1,5 +1,6 @@
 set(LLVM_LINK_COMPONENTS
   Support
+  TableGen
   )
 
 llvm_add_library(LLVMTableGenGlobalISel STATIC DISABLE_LLVM_LINK_LLVM_DYLIB
